Update deployment descriptors to servlet API 2.3 (to allow filter elements)